GNU bug report logs - #53133
28.0.90; tabulated-list-sort doesn't work as expected

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Shingo Tanaka <shingo.fg8@HIDDEN>; Keywords: confirmed fixed; merged with #48639; dated Sun, 9 Jan 2022 02:04:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 48639 53133. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53133 <at> debbugs.gnu.org:


Received: (at 53133) by debbugs.gnu.org; 9 Jan 2022 11:30:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 06:30:49 2022
Received: from localhost ([127.0.0.1]:49311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6WPR-0006hp-Lb
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 06:30:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n6WPQ-0006hd-TD
 for 53133 <at> debbugs.gnu.org; Sun, 09 Jan 2022 06:30:49 -0500
Received: from [2001:470:142:3::e] (port=53120 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n6WPL-0006nI-La; Sun, 09 Jan 2022 06:30:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=7Lnpqu5Bi6GPQidErV/BUI6bvDy6uZnFi6OK9ppF1YQ=; b=nIPQfYz4EjBb
 aaJoKEeCmn72vVWhi+ACSsvpqY3eLFhYPTgmluBB1D0DNcEdha6/TCYFxBdu4ol8CCO5wmgelc2uV
 APsSvTwwqgvn5xk6FjTeB6yHAyQU0qMKe/uGCQvw0B+UpOE3JnHlLF3gNtg1tf+OXuP9xuPdOKcHv
 +MCJh775vtESt0CO7MtvSSUBPoIPJQgz54NctcdjDqxqjlDF3phOJlL4g8BPMPtGEBOxrUaE0kMrP
 zz0aD7AB9Ec152E3YgxAWee+MPp3tDp1XYou+yMPOGSDSQ4G/wz0IuljqFihrBDEcWJXSy8YoSXWU
 jTXXFA7+46ycSjUqYmR87w==;
Received: from [87.69.77.57] (port=2985 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n6WPI-00034H-Lm; Sun, 09 Jan 2022 06:30:43 -0500
Date: Sun, 09 Jan 2022 13:30:28 +0200
Message-Id: <83zgo516zv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: shingo.fg8@HIDDEN, stefankangas@HIDDEN
In-Reply-To: <8335lx2npc.fsf@HIDDEN> (message from Eli Zaretskii on Sun, 09
 Jan 2022 12:44:15 +0200)
Subject: Re: bug#53133: 28.0.90; tabulated-list-sort doesn't work as expected
References: <87k0f9is28.wl-shingo.fg8@HIDDEN> <8335lx2npc.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53133
Cc: 53133 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 09 Jan 2022 12:44:15 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 53133 <at> debbugs.gnu.org
> 
> > --- tabulated-list.el.org	2022-01-06 22:32:13.936852142 +0900
> > +++ tabulated-list.el	2022-01-07 15:15:42.000000000 +0900
> > @@ -574,7 +581,8 @@
> >        (when not-last-col
> >          (when (> pad-right 0) (insert (make-string pad-right ?\s)))
> >          (insert (propertize
> > -                 (make-string (- width (min width label-width)) ?\s)
> > +                 ;; We need at least one space to align correctly.
> > +                 (make-string (- width (min 1 width label-width)) ?\s)
> >                   'display `(space :align-to ,next-x))))
> >        (put-text-property opoint (point) 'tabulated-list-column-name name)
> >        next-x)))
> 
> You are right.
> 
> Stefan, I reverted that change and I'm reopening bug#48639.  This
> problem is a much more serious regression than what happens sometimes
> when text-size is scaled.  We will need to find another fix for that
> bug, most probably in one of the hooks used by tabulated-list.el, by
> adding the display property only when actually needed.

To help debugging the original problem: the 'display' property that
was always present caused move-to-column in tabulated-list-print to
stop at the wrong position, where the tabulated-list-column-name
property had the wrong value.  So either the 'display' property should
be used only when actually needed, or the tabulated-list-column-name
property should be also put on the text covered by the 'display'
property.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53133; Package emacs. Full text available.

Message received at 53133 <at> debbugs.gnu.org:


Received: (at 53133) by debbugs.gnu.org; 9 Jan 2022 10:44:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 09 05:44:36 2022
Received: from localhost ([127.0.0.1]:49273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6Vgh-0003Au-MV
	for submit <at> debbugs.gnu.org; Sun, 09 Jan 2022 05:44:35 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1n6Vgf-0003Ae-B5; Sun, 09 Jan 2022 05:44:34 -0500
Received: from [2001:470:142:3::e] (port=52484 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n6VgZ-0000Hk-Vl; Sun, 09 Jan 2022 05:44:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=S/bpuWmrf0ZiefFXpbJRPaeoCFLZFX2AgqSRCimZKfw=; b=IWCheP/RiaSJ
 rb2NpFxuAIoKislIdwbPrTtPU2hZtw7HW+ZhpHPOytO1pCsKyKuy/3/CzPLz0LUCE/bGQaoxa2Wl6
 j4wSD4aXPBSVxH45vOc4Xm331xQJwDuuXRF5bJ7jsB94pKVgZeuJ+zBMwE15+QlYV8npaAu5MoIQ0
 Olcg8dke5BgW8F6Y7rzPuk9s5/FU/GolusEXTRVJtnX3WQ9ig3s2EMnlYAOqslCPHJ0gueVmSN1F9
 ZTPUl3TN9OCQ+/l/YviL2acBo2DQcVKYZGGFJuVP3HNaXKwx80ZG4LdF5GHWHal8ZyZX+S6W44opF
 VYV9nfW0nROHtXwlTWIm1w==;
Received: from [87.69.77.57] (port=4141 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n6VgZ-0008DD-Vz; Sun, 09 Jan 2022 05:44:28 -0500
Date: Sun, 09 Jan 2022 12:44:15 +0200
Message-Id: <8335lx2npc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Shingo Tanaka <shingo.fg8@HIDDEN>,
 Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87k0f9is28.wl-shingo.fg8@HIDDEN> (message from Shingo Tanaka
 on Sun, 09 Jan 2022 11:03:27 +0900)
Subject: Re: bug#53133: 28.0.90; tabulated-list-sort doesn't work as expected
References: <87k0f9is28.wl-shingo.fg8@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53133
Cc: 53133 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

unarchive 48639
reopen 48639
thanks

> Date: Sun, 09 Jan 2022 11:03:27 +0900
> From: Shingo Tanaka <shingo.fg8@HIDDEN>
> 
> Here is how to reproduce:
> 1. Open Emacs from terminal with `emacs --no-init-file'
> 2. Type M-x list-buffers
> 3. Type C-x o (go to Buffer Menu)
> 4. Type C-M-Right 5 times to move on to "Fundamental" in "Mode" column
> 5. Type S 2 times or more to toggle sorting order
> 6. You will be able to see that "Size" column is selected as the sorting column
>    unexpectedly
> 
> Looks like below change from 28.0.50 is releated to this issue, because it
> disappears when I just rewind this change.
> 
> --- tabulated-list.el.org	2022-01-06 22:32:13.936852142 +0900
> +++ tabulated-list.el	2022-01-07 15:15:42.000000000 +0900
> @@ -574,7 +581,8 @@
>        (when not-last-col
>          (when (> pad-right 0) (insert (make-string pad-right ?\s)))
>          (insert (propertize
> -                 (make-string (- width (min width label-width)) ?\s)
> +                 ;; We need at least one space to align correctly.
> +                 (make-string (- width (min 1 width label-width)) ?\s)
>                   'display `(space :align-to ,next-x))))
>        (put-text-property opoint (point) 'tabulated-list-column-name name)
>        next-x)))

You are right.

Stefan, I reverted that change and I'm reopening bug#48639.  This
problem is a much more serious regression than what happens sometimes
when text-size is scaled.  We will need to find another fix for that
bug, most probably in one of the hooks used by tabulated-list.el, by
adding the display property only when actually needed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53133; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2022 02:03:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 08 21:03:44 2022
Received: from localhost ([127.0.0.1]:48995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n6NYe-0001eK-3n
	for submit <at> debbugs.gnu.org; Sat, 08 Jan 2022 21:03:44 -0500
Received: from lists.gnu.org ([209.51.188.17]:59252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <shingo.fg8@HIDDEN>) id 1n6NYY-0001e7-VQ
 for submit <at> debbugs.gnu.org; Sat, 08 Jan 2022 21:03:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41748)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <shingo.fg8@HIDDEN>)
 id 1n6NYY-00046X-Qb
 for bug-gnu-emacs@HIDDEN; Sat, 08 Jan 2022 21:03:38 -0500
Received: from [2607:f8b0:4864:20::1036] (port=38705
 helo=mail-pj1-x1036.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <shingo.fg8@HIDDEN>)
 id 1n6NYX-0000bQ-9W
 for bug-gnu-emacs@HIDDEN; Sat, 08 Jan 2022 21:03:38 -0500
Received: by mail-pj1-x1036.google.com with SMTP id
 l10-20020a17090a384a00b001b22190e075so17873676pjf.3
 for <bug-gnu-emacs@HIDDEN>; Sat, 08 Jan 2022 18:03:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=date:message-id:from:to:subject:user-agent:mime-version;
 bh=sVzzMY5Cd+z0qC6nWkNFX3jr5qC31Dd/WxkDONyQUFA=;
 b=fyKPOadGrnfGtuHcEyRyWnu03MQE7+ERDVWN8RMdvZ25L3svEXyguH+Ave9YcIPhkh
 a76ioLQOzeknxI2ytK25SdpGoUqCdaVhONdPo6AcVu0ikePItNxV/ZVHr0lQNwzNZNna
 4XU0nRa6HTRfpG9PVCzvESE8J6GZkXKspQTQumERGTPf5s5jF2xx0W8oMXYPBcQP7gBG
 6e/XJudFclcDXpi18/2UwaEJsvloFXGRUcUSmp9+MrZdYPqjjI1Bp0LnrCR0hAbN1+KH
 JC0FdsUyptoti/VEDXugJ3CWMzpUBExyh6+sRC/KvU6Ls5uGmanEEd6XwKuynnYJkiRR
 0QmQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:date:message-id:from:to:subject:user-agent
 :mime-version;
 bh=sVzzMY5Cd+z0qC6nWkNFX3jr5qC31Dd/WxkDONyQUFA=;
 b=3jt4QoaHZ9IpeW+503EmmR1Z5cM1CttMqZrHnXfNtXcdzbTrQfbp3SHwuVs0aaol4n
 uByVs40iXXelRyfp4zkFc2jO18L75pCafSq3AupSxFD21o/Kch4DVZ7usaLZN2GkV+G+
 ZZ5n2+gWGFRILoAPJGkxRHrD9uDgwtQFHMNgHWTdXJJ37JBZC788JT0BZ92Nyoga/37J
 T6Yuv/1hUDCqZDCWHAgOHgszAhhyXgoxMsqkMEbB2Fq4mW4p2Y7DtbHGNQQkAa0CCsu7
 Aql3FfuhEoQOyoguNHuH0ctGhTOy1yjU/iDewqpGjpmJ8BO4utCM5PB30/11wWUw+6U7
 Hv4w==
X-Gm-Message-State: AOAM531O4+0SOBflU65i8143+DwQ0ksKV0zGwD3T6n+ULOIwzuUd0kNl
 RjxyKIZuKConb2kTt4Xhn8r4uNHnCs9UBQ==
X-Google-Smtp-Source: ABdhPJz7A2caN83KBcSiSPD6cgfI+RJ0rBMrJVJHp5pkvh0Fj6VIknK31gT9S2ape3Sj9Fq82MweDQ==
X-Received: by 2002:a17:902:b181:b0:149:90e2:896a with SMTP id
 s1-20020a170902b18100b0014990e2896amr51216178plr.149.1641693812932; 
 Sat, 08 Jan 2022 18:03:32 -0800 (PST)
Received: from shingo-NUC11PAHi5.gmail.com
 ([240d:1a:6f4:6b00:a6c5:8faf:f543:28e1])
 by smtp.gmail.com with ESMTPSA id pf6sm2192352pjb.10.2022.01.08.18.03.30
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 08 Jan 2022 18:03:32 -0800 (PST)
Date: Sun, 09 Jan 2022 11:03:27 +0900
Message-ID: <87k0f9is28.wl-shingo.fg8@HIDDEN>
From: Shingo Tanaka <shingo.fg8@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.90; tabulated-list-sort doesn't work as expected
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?ISO-8859-4?Q?Goj=F2?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.90 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=US-ASCII
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::1036
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::1036;
 envelope-from=shingo.fg8@HIDDEN; helo=mail-pj1-x1036.google.com
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, tabulated-list-sort sometimes doesn't work as expected
 due to the change between 28.0.90 and 28.0.50. Here is how to reproduce:
 1. Open Emacs from terminal with `emacs --no-init-file' 2. Type M-x
 list-buffers
 3. Type C-x o (go to Buffer Menu) 4. Type C-M-Right 5 times to move on to
 "Fundamental" in "M [...] 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (shingo.fg8[at]gmail.com)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (shingo.fg8[at]gmail.com)
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.51.188.17 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.3 SPOOFED_FREEMAIL       No description available.
 1.5 SPOOF_GMAIL_MID        From Gmail but it doesn't seem to be...
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Hi,

tabulated-list-sort sometimes doesn't work as expected due to the change between
28.0.90 and 28.0.50.

Here is how to reproduce:
1. Open Emacs from terminal with `emacs --no-init-file'
2. Type M-x list-buffers
3. Type C-x o (go to Buffer Menu)
4. Type C-M-Right 5 times to move on to "Fundamental" in "Mode" column
5. Type S 2 times or more to toggle sorting order
6. You will be able to see that "Size" column is selected as the sorting column
   unexpectedly

Looks like below change from 28.0.50 is releated to this issue, because it
disappears when I just rewind this change.

--- tabulated-list.el.org	2022-01-06 22:32:13.936852142 +0900
+++ tabulated-list.el	2022-01-07 15:15:42.000000000 +0900
@@ -574,7 +581,8 @@
       (when not-last-col
         (when (> pad-right 0) (insert (make-string pad-right ?\s)))
         (insert (propertize
-                 (make-string (- width (min width label-width)) ?\s)
+                 ;; We need at least one space to align correctly.
+                 (make-string (- width (min 1 width label-width)) ?\s)
                  'display `(space :align-to ,next-x))))
       (put-text-property opoint (point) 'tabulated-list-column-name name)
       next-x)))

Hope this will be fixed appropriately in the coming major release.

Regards,
Shingo




Acknowledgement sent to Shingo Tanaka <shingo.fg8@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53133; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 10 Jan 2022 01:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.